## org.eclipse.amp.amf.acore.edit.commands.test
Class CreateSubcontext

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
              org.eclipse.amp.amf.acore.edit.commands.test.CreateSubcontext

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

    public class CreateSubcontext

extends CommandTransformer

Constructor Summary
`CreateSubcontext()`

Method Summary
`void` `addPrePost(java.util.List<PrePostCondition> list)`
`org.eclipse.emf.common.command.Command` `getCommand()`
`void` `preCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
`doPostCondition, doPreCondition, exec, modifies, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, postCondition, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.amf.acore.edit.commands.test.PrePostAsserts
`postCondition`

Constructor Detail

### CreateSubcontext

    public CreateSubcontext()

Method Detail

### getCommand

    public org.eclipse.emf.common.command.Command getCommand()

  Specified by:
    `getCommand` in class `CommandTransformer`

### addPrePost

    public void addPrePost(java.util.List<PrePostCondition> list)

  Overrides:
    `addPrePost` in class `CommandTransformer`

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`
  Overrides:
    `preCondition` in class `PrePostCondition`